Ignore:
Timestamp:
Oct 5, 2012, 11:53:52 PM (5 years ago)
Author:
ryandesign@…
Message:

gdb: use conflicts_build instead of doing it manually

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/devel/gdb/Portfile

    r98425 r98467  
    33
    44PortSystem      1.0
     5PortGroup       conflicts_build 1.0
    56PortGroup       muniversal 1.0
    67
     
    3940depends_build   port:gettext
    4041
     42conflicts_build cctools-headers
     43
    4144if {${configure.build_arch} == "ppc" || ${configure.build_arch} == "ppc64"} {
    4245    notes "${name} does not support building on ${configure.build_arch}."
     
    4447        ui_error "${name} does not support building on ${configure.build_arch}."
    4548        return -code error "Unsupported architecture."
    46     }
    47 }
    48 
    49 pre-configure {
    50     if {[file exists ${prefix}/include/mach-o/loader.h]} {
    51         ui_error "cctools-headers must be deactivated before upgrade."
    52         error "Please run `sudo port deactivate cctools-headers` and try again."
    5349    }
    5450}
Note: See TracChangeset for help on using the changeset viewer.